﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace HutongGames.PlayMaker.Actions
{

	public class InkGetChoiceCount : FsmStateAction 
	{

		[RequiredField]
		[UIHint(UIHint.Variable)]
		[CheckForComponent(typeof(PlaymakerInkProxy))]
		[Tooltip("We need a PlaymakerInkProxy script.")]
		public PlaymakerInkProxy proxy;

		[RequiredField]
		[UIHint(UIHint.Variable)]
		[Tooltip("Int to return value.")]
		public FsmInt returnInt;

		public bool everyFrame; 

		public override void Reset ()
		{
			proxy = null;
			returnInt = null;
			everyFrame = false;
		}

		public override void OnEnter()
		{
			returnInt.Value = proxy.currentChoiceCount ();
		}
	}
}
